Translate Ideas and Comments
Choose language:
There was an error during translation

Settings and activity

  1. 50 votes
    Sign in Sign in with: OpenID Connect
    Signed in as (Sign out)

    We’ll send you updates on this idea

    9 comments  ·  Game Mods & CurseForge » Website  ·  Flag idea as inappropriate…  ·  Admin →

    Hello, and thank you for taking the time to submit your idea! We are looking into this suggestion internally and will update this page once a final decision has been made. Please add any additional details that you think would be helpful in the comments! We are Listening!

    -CurseForge Team

    An error occurred while saving the comment
    Fireztonez commented  · 

    Yes, Totally agree, the search bar should be in the header, becose right now, when I have to look for multiples mods for Minecraft, I search the first one, I open the mod page and have to search for another mod, I have to go in the precedent page to search for another mods, this is just annoying, and a new waste of time with the new interface...

    Fireztonez supported this idea  · 
  2. 189 votes
    Sign in Sign in with: OpenID Connect
    Signed in as (Sign out)

    We’ll send you updates on this idea

    30 comments  ·  Game Mods & CurseForge » General  ·  Flag idea as inappropriate…  ·  Admin →

    Thank you for the suggestion, we are looking into this. Please add any additional details that you think would be helpful in the comments! We are Listening!

    Fireztonez supported this idea  · 
  3. 102 votes
    Sign in Sign in with: OpenID Connect
    Signed in as (Sign out)

    We’ll send you updates on this idea

    7 comments  ·  Game Mods & CurseForge » Website  ·  Flag idea as inappropriate…  ·  Admin →

    Hello!

    Thank you for this suggestion, we are currently reviewing it. Please add any additional details you think would be helpful in the comments— we are listening!

    An error occurred while saving the comment
    Fireztonez commented  · 

    A Dark Mode for the new CurseForge Website will be really nice... White Website is really hurt my eyes... Hopefully Stylus exist, but, I think it should be something directly integrated to the website

    Fireztonez supported this idea  · 
  4. 4 votes
    Sign in Sign in with: OpenID Connect
    Signed in as (Sign out)

    We’ll send you updates on this idea

    1 comment  ·  Game Mods & CurseForge » Website  ·  Flag idea as inappropriate…  ·  Admin →

    Hello, and thank you for taking the time to submit your idea! We already have MC 1.14.1 as a game version. As for fabric mod filter, we are looking into this suggestion internally and will update this page once a final decision has been made. Please add any additional details that you think would be helpful in the comments!

    An error occurred while saving the comment
    Fireztonez commented  · 

    For the version 1.14.1, 1.14.2 and 1.14.3 is there, but something how absolutly need to be added I think is the differentiation between mods for Fabric 1.14+ and mods for Forge 1.14+, because both is incompatible and there doesn't always have a way to see if a mod is made for Forge or Fabric...

    With both on the list, this is pretty mutch impossible to find easily mods for the modpack you want to make.

    Fireztonez supported this idea  · 
  5. 64 votes
    Sign in Sign in with: OpenID Connect
    Signed in as (Sign out)

    We’ll send you updates on this idea

    5 comments  ·  Game Mods & CurseForge » Feature Requests  ·  Flag idea as inappropriate…  ·  Admin →

    Hello, and thank you for taking the time to submit your idea! We are looking into this suggestion internally and will update this page once a final decision has been made. Please add any additional details that you think would be helpful in the comments! We are Listening!

    -CurseForge Team

    An error occurred while saving the comment
    Fireztonez commented  · 

    Totally agree, this is a big thing missing... When you search for mods, now you always have to look if the mod is for the Minecraft version you need. A mod made for Minecraft 1.12.2 will not work with minecraft 1.14.2 and sometime you see mods only availiable for 1.7.10. I think this is a necessity to have that option.

    And, you always see the most popular firsrt, but this is totally impossible to change the order question to see the latest updated mod or the newers mod first...

    Fireztonez supported this idea  ·